<%@ Page Language="C#" MasterPageFile="~/template.Master" AutoEventWireup="true"
    CodeBehind="Topics.aspx.cs" Inherits="notebook.WebForm1" Title="Témy fóra" %>
<%@ Import Namespace="Resources"%>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="article">
        <h2>
            <%= Resources.Default.Topics %></h2>
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:blogCS %>"
            DeleteCommand="DELETE FROM [topic] WHERE [id] = @id" InsertCommand="INSERT INTO [topic] ([title]) VALUES (@title)"
            SelectCommand="SELECT * FROM [topic] ORDER BY [id] DESC" UpdateCommand="UPDATE [topic] SET [title] = @title WHERE [id] = @id">
            <DeleteParameters>
                <asp:Parameter Name="id" Type="Int32" />
            </DeleteParameters>
            <UpdateParameters>
                <asp:Parameter Name="title" Type="String" />
                <asp:Parameter Name="id" Type="Int32" />
            </UpdateParameters>
            <InsertParameters>
                <asp:Parameter Name="title" Type="String" />
            </InsertParameters>
        </asp:SqlDataSource>
        <asp:GridView ID="GridView2" runat="server" AllowPaging="True" AllowSorting="True"
            AutoGenerateColumns="False" CellPadding="4" DataKeyNames="id" DataSourceID="SqlDataSource1"
            EmptyDataText="<%$ Resources: Default, NoTopics %>" ForeColor="#333333" GridLines="None">
            <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
            <Columns>
                <asp:BoundField DataField="title" HeaderText="<%$ Resources: Default, TitleLabel %>" SortExpression="title">
                    <HeaderStyle HorizontalAlign="Left" />
                    <ItemStyle Width="420px" />
                </asp:BoundField>
                <asp:TemplateField>
                    <ItemTemplate>
                        <asp:HyperLink ID="HyperLink1" runat="server" NavigateUrl='<%# Eval("id", "~/Admin/TopicAdd.aspx?id={0}") %>'>
                            <asp:Image ID="Image1" runat="server" ImageUrl="~/gfx/upravit.jpg" /></asp:HyperLink>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:CommandField DeleteText="Zmazať" ShowDeleteButton="True" ButtonType="Image"
                    DeleteImageUrl="~/gfx/zmazat.jpg">
                    <ItemStyle ForeColor="#3B6EBF" HorizontalAlign="Center" Width="50px" />
                </asp:CommandField>
            </Columns>
            <PagerStyle BackColor="#000000" ForeColor="White" HorizontalAlign="Center" />
            <HeaderStyle BackColor="#000000" Font-Bold="True" ForeColor="White" />
        </asp:GridView>
    </div>
</asp:Content>
