﻿<%@ Page Language="C#" MasterPageFile="~/template.Master" AutoEventWireup="true"
    CodeBehind="UserAdd.aspx.cs" Inherits="simpleBlog.Admin.WebForm11" Title="Pridať používateľa" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <h2>
        <%= Resources.Default.AddUser %></h2>
    <asp:CreateUserWizard ID="CreateUserWizard1" runat="server" AnswerLabelText="<%$ Resources: Default, Answer %>"
        CancelButtonText="<%$ Resources: Default, Cancel %>" CompleteSuccessText="<%$ Resources: Default, UserAdded %>" ConfirmPasswordLabelText="<%$ Resources: Default, PasswordConfirm %>"
        ContinueButtonText="<%$ Resources: Default, Next %>" CreateUserButtonText="<%$ Resources: Default, AddUser %>" DuplicateEmailErrorMessage="<%$ Resources: Default, EmailExists %>"
        DuplicateUserNameErrorMessage="<%$ Resources: Default, UserNameExists %>" FinishCompleteButtonText="<%$ Resources: Default, Finish %>"
        FinishPreviousButtonText="<%$ Resources: Default,Back %>" InvalidAnswerErrorMessage="<%$ Resources: Default, InvalidAnswer %>"
        InvalidEmailErrorMessage="<%$ Resources: Default, BadFormat %>" InvalidQuestionErrorMessage="InvalidQuestion"
        PasswordLabelText="<%$ Resources: Default, Password %>" QuestionLabelText="<%$ Resources: Default, Question %>" UserNameLabelText="<%$ Resources: Default, Name %>"
        LoginCreatedUser="False" FinishDestinationPageUrl="~/Admin/User.aspx" ContinueButtonType="Link"
        CreateUserButtonType="Link" InvalidPasswordErrorMessage="<%$ Resources: Default, MinimumLength %>">
        <HeaderStyle ForeColor="White" />
        <WizardSteps>
            <asp:CreateUserWizardStep ID="CreateUserWizardStep1" runat="server" Title="">
            </asp:CreateUserWizardStep>
            <asp:CompleteWizardStep ID="CompleteWizardStep1" runat="server" AllowReturn="False"
                Title="">
                <ContentTemplate>
                    <p>
                        <%= Resources.Default.UserAdded %>.
                    </p>
                    <% Response.Redirect("~/Admin/User.aspx"); %>
                </ContentTemplate>
            </asp:CompleteWizardStep>
        </WizardSteps>
    </asp:CreateUserWizard>
</asp:Content>
