﻿<%@ Page Language="C#" MasterPageFile="~/template.Master" AutoEventWireup="true"
    CodeBehind="PagesAdd.aspx.cs" Inherits="simpleBlog.Admin.WebForm10" Title="Pridať stránku"
    ValidateRequest="false" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <h2>
        <asp:Label ID="Label1" runat="server" Text="<%$ Resources: Default, AddPage %>"></asp:Label></h2>

    <script type="text/javascript" src="lib/tiny_mce/tiny_mce.js"></script>

    <script language="javascript" type="text/javascript">
<!--
  lang = 'sk';

  tinyMCE.init({


            mode : "textareas",

      language : "sk",
      theme : "advanced",
      plugins : "advimage,table",
      relative_urls : false,

      button_tile_map:          true,
      verify_html:              false,
            accessibility_focus:      false,
      hide_selects_on_submit:   true,
      apply_source_formatting : true,
      cleanup_on_startup : false,

      
      plugins:                  "style,advlink,paste,nonbreaking,searchreplace,advimage,table,contextmenu",

      external_image_list_url : "/listImages.aspx",
      external_link_list_url:   "/listLinks.aspx",

      theme_advanced_toolbar_location : "top",
      theme_advanced_toolbar_align : "left",
      theme_advanced_blockformats:      "h3,h4,h5,h6,p,pre",

      theme_advanced_buttons1:  "bold,italic,underline,strikethrough,sub,sup,separator,justifyleft,justifycenter,justifyright,justifyfull,separator,bullist,numlist,outdent,indent,separator,forecolor,backcolor",
      theme_advanced_buttons2:  "pastetext,pasteword,selectall,separator,undo,redo,separator,search,replace,separator,link,unlink,anchor,separator,removeformat,cleanup,code,charmap,nonbreaking,separator,image",
      theme_advanced_buttons3:  "formatselect,separator,tablecontrols",


      extended_valid_elements : "font[face|size|color|style]"
  });

    



  //-->
    </script>

    <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:blogCS %>"
        DeleteCommand="DELETE FROM [pages] WHERE [id] = @id" InsertCommand="INSERT INTO [pages] ([title], [text], [menuitem], [weight], [alias]) VALUES (@title, @text, @menuitem, @weight, @alias)"
        SelectCommand="SELECT * FROM [pages]" UpdateCommand="UPDATE [pages] SET [title] = @title, [text] = @text, [menuitem] = @menuitem, [weight] = @weight, [alias]=@alias WHERE [id] = @id">
        <DeleteParameters>
            <asp:Parameter Name="id" Type="Int32" />
        </DeleteParameters>
        <UpdateParameters>
            <asp:Parameter Name="title" Type="String" />
            <asp:Parameter Name="text" Type="String" />
            <asp:Parameter Name="alias" Type="String" />
            <asp:Parameter Name="menuitem" Type="Int32" />
            <asp:Parameter Name="weight" Type="Int32" />
            <asp:Parameter Name="id" Type="Int32" />
        </UpdateParameters>
        <InsertParameters>
            <asp:Parameter Name="title" Type="String" />
            <asp:Parameter Name="text" Type="String" />
            <asp:Parameter Name="alias" Type="String" />
            <asp:Parameter Name="menuitem" Type="Int32" />
            <asp:Parameter Name="weight" Type="Int32" />
        </InsertParameters>
    </asp:SqlDataSource>
    <asp:FormView ID="FormView1" runat="server" DataKeyNames="id" DataSourceID="SqlDataSource1"
        DefaultMode="Insert" OnItemInserted="redirect" OnItemUpdated="redirect">
        <EditItemTemplate>
            <%=Resources.Default.TitleLabel %>:
            <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="titleTextBox"
                ErrorMessage="<%$ Resources: Default, Required %>"></asp:RequiredFieldValidator>
            <br />
            <asp:TextBox ID="titleTextBox" runat="server" Text='<%# Bind("title") %>' Width="200px"
                OnTextChanged="titleTextBox_TextChanged" />
            <br />
            <br />
            <%=Resources.Default.MenuItem %>:
            <asp:DropDownList ID="DropDownList1" runat="server" SelectedValue='<%# Bind("menuitem") %>'>
                <asp:ListItem Value="1" Text="<%$ Resources: Default, Yes %>"></asp:ListItem>
                <asp:ListItem Value="0" Text="<%$ Resources: Default, No %>"></asp:ListItem>
            </asp:DropDownList>
            <br />
            <br />
            <%=Resources.Default.Text %>:<br />
            <asp:TextBox ID="textTextBox" runat="server" Text='<%# Bind("text") %>' TextMode="MultiLine" />
            <br />
            <span style="display: none">
                <asp:TextBox ID="weightTextBox" runat="server" Text='<%# Bind("weight") %>' />
                <asp:TextBox ID="aliasTextBox" runat="server" Text='<%# Bind("alias") %>'></asp:TextBox></span>
            <br />
            <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" CommandName="Update"
                Text="Uložiť" Visible="false" />
            <asp:ImageButton ID="ImageButton1" runat="server" CausesValidation="True" CommandName="Update"
                ImageUrl="~/gfx/publikovat.jpg" />
        </EditItemTemplate>
        <InsertItemTemplate>
            <%=Resources.Default.TitleLabel %>:
            <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="titleTextBox"
                ErrorMessage="<%$ Resources: Default, Required %>"></asp:RequiredFieldValidator>
            <br />
            <asp:TextBox ID="titleTextBox" runat="server" Text='<%# Bind("title") %>' Width="200px"
                OnTextChanged="titleTextBox_TextChanged" />
            <br />
            <br />
            <%=Resources.Default.MenuItem %>:
            <asp:DropDownList ID="DropDownList1" runat="server" SelectedValue='<%# Bind("menuitem") %>'>
                <asp:ListItem Value="1" Text="<%$ Resources: Default, Yes %>"></asp:ListItem>
                <asp:ListItem Value="0" Text="<%$ Resources: Default, No %>"></asp:ListItem>
            </asp:DropDownList>
            <br />
            <br />
            <%=Resources.Default.Text %>:<br />
            <asp:TextBox ID="textTextBox" runat="server" Text='<%# Bind("text") %>' TextMode="MultiLine" />
            <br />
            <span style="display: none">
                <asp:TextBox ID="weightTextBox" runat="server" Text='<%# Bind("weight") %>' />
                <asp:TextBox ID="aliasTextBox" runat="server" Text='<%# Bind("alias") %>'></asp:TextBox></span>
            <br />
            <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" CommandName="Insert"
                Text="<%$ Resources: Default, Insert %>" Visible="false" />
            <asp:ImageButton ID="ImageButton2" runat="server" CommandName="Insert" CausesValidation="True"
                ImageUrl="~/gfx/publikovat.jpg" />
            &nbsp;
        </InsertItemTemplate>
        <ItemTemplate>
        </ItemTemplate>
    </asp:FormView>
</asp:Content>
